Subject: Meta package for pkgsrc developer tools
To: None <>
From: Julio M. Merino Vidal <>
List: tech-pkg
Date: 08/03/2006 20:58:13

What about adding a meta-pkgs/pkg_developer meta package that provides
the most used tools when working in pkgsrc?  I'm tired of manually
installing lots of packages from pkgtools on each system I set up.

My current package contains the following.  Anything else you think is
worth adding?

DEPENDS+=       createbuildlink>=3.13:../../pkgtools/createbuildlink
DEPENDS+=       digest>=20060302:../../pkgtools/digest
DEPENDS+=       pkg_chk>=1.77:../../pkgtools/pkg_chk
DEPENDS+=       pkg_tarup>=1.6.5:../../pkgtools/pkg_tarup
DEPENDS+=       pkgdiff>=0.119:../../pkgtools/pkgdiff
DEPENDS+=       pkglint>=4.67:../../pkgtools/pkglint
DEPENDS+=       revbump>=1.8:../../pkgtools/revbump
DEPENDS+=       verifypc>=1.3:../../pkgtools/verifypc


Julio M. Merino Vidal <>
The Julipedia -